Page MenuHome

Multi window spin tool crash
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.17763 64 Bits
Graphics card: AMD Radeon(TM) R9 290X ATI Technologies Inc. 4.5.13542 Core Profile Context 25.20.14011.5005

Blender Version
Broken: version: 2.80 (sub 71), branch: blender2.7, commit date: 2019-05-20 22:03, hash: rBe78770039397
Worked: (optional)

Short description of error
Using Spin tool with two windows open (both in 3D Viewport) crashes Blender when going out of Edit mode or moving mouse cursor outside window

Exact steps for others to reproduce the error

I have a dual monitor setup.

  1. Open Blender (optional step: File > Defaults > Load factory settings) > Window > New window
  2. Add a mesh
  3. enter Edit mode
  4. use Spin tool
  5. crash occurs when exiting Edit mode or moving the mouse cursor outside of the current window

It works fine with just one window open or if the second window is in another "Editor type"

Tested on both my work and home computers, same behaviour on all tested versions.
I download the latest build every few days and this issue is present on all the builds I have.

Event Timeline


Can Reproduce only after using the spin Tool. Other Tools or spin tool executed via search don't crash.
Operating system: Linux-4.4.0-148-generic-x86_64-with-debian-stretch-sid 64 Bits
Graphics card: Mesa DRI Intel(R) Sandybridge Mobile Intel Open Source Technology Center 3.3 (Core Profile) Mesa 18.0.5

I cannot reproduce here with 2019-05-22 rB85322737. Do you still get the crash?

System Information
Operating system: Windows-10-10.0.16299 64 Bits
Graphics card: GeForce GTX 1060 6GB/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 416.81
CPU: AMD Threadripper 1950X
RAM: 64GB DDR4

Home PC: (since it is not specified in the initial post, maybe it matters)
CPU: Intel I7-4770K
RAM: 32GB DDR3

Blender Version
Broken: version: 2.80 (sub 71), branch: blender2.7, commit date: 2019-05-22 21:50, hash: rBa1ad71304c2d
Worked: (optional)

Short description of error
Update with the latest build from my work PC

It no longer crashes when moving the mouse cursor outside the window (while using the Spin tool) but still crashes when going out of Edit mode.
Also, as Leon mentioned, executing the tool via Search works fine although I don't get the "controller?" (arc with two plus signs at the ends).

Exact steps for others to reproduce the error
See first post

Missed the 2 windows part the first time.

When finishing spin tool the operator return finish state correctly.
But when there are 2 windows, I see that the gizmo_tweak_invoke called again when exiting edit mode. Out of place cannot handle finish state and crashes.

Is it a duplication with the event system?

Brecht Van Lommel (brecht) renamed this task from Spin tool crash on dual monitor setup to Multi window spin tool crash.May 29 2019, 2:17 AM
Brecht Van Lommel (brecht) lowered the priority of this task from Needs Triage by Developer to Confirmed, High.

Possibly same cause as T63694: Multi window measure crash.

For the records, although this one seems related to T63694, this one I can reproduce from scratch (while the other I cannot). I think the cause may be different altogether.

Hi.

Not sure if this is considered as fixed already.

Just so you know, this is still an issue in RC1.

I can not reproduce this since the related fix was addressed. Could you revise if the "How to reproduce steps" are complete? (e.g., New Window or New Main Window, use spin tool in which one of the windows, ...)

Hi Dalai.

The steps are same as before:

  1. Open Blender (optional step: File > Defaults > Load factory settings) > Window > New Window OR New Main Window ( tried them both )
  2. Add a mesh or use the default cube
  3. enter Edit mode
  4. use Spin tool ( **!!!very important!!!** - if I select the tool from the F3 search menu, it does not crash - only when selecting Spin from the tool shelf - T menu ) - crashes the same regardless of the window I use
  5. crash occurs when exiting Edit mode

Same behaviour on both work and home PCs

Confirmed:
SUMMARY: AddressSanitizer: heap-use-after-free //source/blender/windowmanager/gizmo/intern/wm_gizmo_group.c:562 in gizmo_tweak_modal
Full backtrace: P1038

Aurel P. (peticel) reopened this task as Open.Jul 26 2019, 9:18 AM

Hi again,

This is still an issue in RC3.

Same steps to reproduce as above.

This is still crashing Blender to desktop with the release of Blender 2.8

Steps to reproduce are the same:

  1. open two windows
  2. go into edit mode
  3. use the spin tool from the icon shelf (not from the menu, but the icon shelf at the left)
  4. spin some verts
  5. exit edit mode and watch the crash to desktop